org.eclipse.jface.bindings

## Interface ISchemeListener

All Known Implementing Classes:
  BindingManager

    public interface ISchemeListener

An instance of `ISchemeListener` can be used by clients to receive notification of changes to one or more instances of `IScheme`.

This interface may be implemented by clients.

Since:
  3.1
See Also:
  `Scheme.addSchemeListener(ISchemeListener)`, `Scheme.removeSchemeListener(ISchemeListener)`, `SchemeEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `schemeChanged(SchemeEvent schemeEvent)` Notifies that one or more attributes of an instance of `IScheme` have changed.

### Method Detail

#### schemeChanged

    void schemeChanged(SchemeEvent schemeEvent)

Notifies that one or more attributes of an instance of `IScheme` have changed. Specific details are described in the `SchemeEvent`.

Parameters:
  `schemeEvent` - the scheme event. Guaranteed not to be `null`.